summaryrefslogtreecommitdiff
path: root/tests/rm
diff options
context:
space:
mode:
authorPádraig Brady <P@draigBrady.com>2009-12-18 12:26:04 +0000
committerPádraig Brady <P@draigBrady.com>2009-12-19 01:14:07 +0000
commitd64c186d8e28d99ece16e591f6823a1da904ac44 (patch)
tree79b4b008844fbf3bea30fff636f813d9bc87b6be /tests/rm
parentbfcfc0ce7282c301d024fdd02c68edcc9aac0bf3 (diff)
downloadcoreutils-d64c186d8e28d99ece16e591f6823a1da904ac44.tar.xz
rm: fix --one-file-system regression due to fts conversion
* src/remove.c (rm_fts): Fix incorrect comparison of device and inode numbers. * tests/rm/one-file-system2: Add a separate test so that it can be run as a normal user (It doesn't need to mount). * tests/Makefile.am: Reference it. * NEWS: Mention the fix. Reported by Jan Larres.
Diffstat (limited to 'tests/rm')
-rwxr-xr-xtests/rm/one-file-system231
1 files changed, 31 insertions, 0 deletions
diff --git a/tests/rm/one-file-system2 b/tests/rm/one-file-system2
new file mode 100755
index 000000000..414a57acd
--- /dev/null
+++ b/tests/rm/one-file-system2
@@ -0,0 +1,31 @@
+#!/bin/sh
+# Verify --one-file-system does delete within a file system
+
+# Copyright (C) 2009 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ rm --version
+fi
+
+. $srcdir/test-lib.sh
+
+mkdir -p a/b
+
+rm --one-file-system -rf a || fail=1
+test -d a && fail=1
+
+Exit $fail